<?php

class cAlmacen{

	function insertar($nom,$ven){

		$sql = "INSERT tb_almacen (

		`tb_almacen_nom`,

		`tb_almacen_ven`		

		)

		VALUES (

		'$nom','$ven'

		);"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function filtrar_x_piso($piso_id){

		$sql="SELECT * FROM tb_almacen alm 

inner join tb_piso p on alm.tb_almacen_id = p.tb_almacen_id

WHERE alm.tb_almacen_xac='1'AND p.tb_piso_id = '$piso_id' ";

		$sql.="	ORDER BY tb_almacen_nom ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function filtrar($emp_id,$ven){

		$sql="SELECT * 

		FROM tb_almacen

		WHERE tb_almacen_xac='1' ";

		if($ven>0)$sql.=" AND tb_almacen_ven='$ven' ";

		$sql.="	ORDER BY tb_almacen_nom ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function mostrarUno($id){

		$sql="SELECT * 

		FROM tb_almacen

		WHERE tb_almacen_id=$id ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrarAlmCajEmp($pv_id){

		$sql="SELECT * FROM tb_empresa emp 
		inner join tb_puntoventa pv on emp.tb_empresa_id = pv.tb_empresa_id
		INNER join tb_piso p on p.tb_puntoventa_id = pv.tb_puntoventa_id
		where pv.tb_puntoventa_id = $pv_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;

	}

	function modificar($id,$nom,$ven){ 

		$sql = "UPDATE tb_almacen SET  

		`tb_almacen_nom` =  '$nom',

		`tb_almacen_ven` =  '$ven'

		WHERE  tb_almacen_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_almacen SET

		`tb_almacen_$campo` =  '$valor' 

		WHERE tb_almacen_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function mostrar_por_puntoventa($punven_id){

		$sql = "SELECT * FROM tb_puntoventa pv

				INNER JOIN tb_almacen a ON pv.tb_almacen_id=a.tb_almacen_id

				where tb_puntoventa_id='$punven_id'";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrar_para_compras($alm_id){

		$sql = "select * from tb_puntoventa pv

		INNER join tb_empresa em on pv.tb_empresa_id = em.tb_empresa_id

		inner join tb_piso p on p.tb_puntoventa_id = pv.tb_puntoventa_id

		INNER join tb_almacen alm on p.tb_almacen_id = alm.tb_almacen_id

		where alm.tb_almacen_id ='$alm_id'";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function verifica_almacen_tabla($id,$tabla){

	$sql = "SELECT * 

		FROM  $tabla 

		WHERE tb_almacen_id =$id";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	

}

?>